Show / Hide Table of Contents

# Enum MessageSource

Specifies the source of the Discord message.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum MessageSource

### Fields

Name | Description
--- | ---
Bot | The message is sent by a bot.
System | The message is sent by the system.
User | The message is sent by a user.
Webhook | The message is sent by a webhook.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()